[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.OnQueryEndSession

Event handler signalled to determine if the current session be be ended, and the application can be closed.

## Declaration

Source position: forms.pp line 1754

`public property TApplication.OnQueryEndSession : TQueryEndSessionEvent read FOnQueryEndSession write FOnQueryEndSession;`

## See also

TApplication.IntfQueryEndSession |  | Called by the interface to confirm the end of a session.
TQueryEndSessionEvent |  | Specifies an event type used to handle a WM_QUERYENDSESSION window message in an application.
TApplicationHandlerType |  | Types of Application notification handlers.